NSX-T Data Center REST API

Patch a Policy Edge Cluster

Patch a policy edge cluster.
It only supports homogeneous members.
The Edge Transport Nodes are only allowed in cluster members.
DeploymentType (VIRTUAL_MACHINE|PHYSICAL_MACHINE) of these Edge Nodes is
recommended to be the same.
Any update operation on members of edge cluster is not permitted,
To replace the edge transport node for an existing member, refer
/policy/api/v1/infra/sites/default/enforcement-points/default/edge-clusters/
/action/replace-policy-edge-node
api.

Request:

Method:
PATCH
URI Path(s):
/policy/api/v1/infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}/edge-clusters/{edge-cluster-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
PolicyEdgeCluster+

Example Request:

PATCH https://<nsx-mgr>/policy/api/v1/infra/sites/default/enforcement-points/default/edge-clusters/my-edge-cluster-id { "edge_cluster_profile": "/infra/sites/default/enforcement-points/default/edge-cluster-high-availability-profiles/91bcaa06-47a1-11e4-8316-17ffc770799b", "member_node_type": "UNKNOWN", "policy_edge_nodes": [ { "edge_transport_node_path": "/infra/sites/default/enforcement-points/default/edge-transport-nodes/my-edge-tn-id" } ] }

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
n/a

Required Permissions:

crud

Feature:

policy_ep_edge

Additional Errors: